Ext.namespace('Zarafa.owncloud.settings');

/**
 * @class Zarafa.owncloud.settings.SettingsOwncloudVersionWidget
 * @extends Zarafa.settings.ui.SettingsWidget
 * @xtype zarafa.settingsowncloudwidget
 *
 * The {@link Zarafa.settings.ui.SettingsWidget widget} for configuring
 * the general owncloud options in the {@link Zarafa.owncloud.settings.SettingsOwncloudCategory owncloud category}.
 */
Zarafa.owncloud.settings.SettingsOwncloudVersionWidget = Ext.extend(Zarafa.settings.ui.SettingsWidget, {
	/**
	 * @constructor
	 * @param {Object} config Configuration object
	 */
	constructor : function(config)
	{
		config = config || {};
		
		var version = "1.2.3-1";

		Ext.applyIf(config, {
			title : _('Version Info'),
			layout : 'form',
			items :[{
				xtype : 'displayfield',
				fieldLabel : _('Plugin'),
				value : version,
				htmlEncode : true
			}]
		});

		Zarafa.owncloud.settings.SettingsOwncloudVersionWidget.superclass.constructor.call(this, config);
	}
});

Ext.reg('zarafa.settingsowncloudversionwidget', Zarafa.owncloud.settings.SettingsOwncloudVersionWidget);
